Preferred bug tracker

Please visit the preferred bug tracker to report your issue.

This queue is for tickets about the Perl-Dist-Strawberry CPAN distribution.

Report information
The Basics
Id:
48512
Status:
resolved
Priority:
Low/Low

People
Owner:
Nobody in particular
Requestors:
krishnoid [...] wapacut.com
Cc:
AdminCc:

BugTracker
Severity:
Critical
Broken in:
(no value)
Fixed in:
(no value)



In Strawberry perl portable July 2009, I get the following when trying to install PAR::Packer from cpan: -------------------------------------------------------------------- ... static.exe -I"P:/aliasperl/cpan/build/PAR-Packer-0.991-UjiT4K/inc" - I"P:/aliasperl/perl/lib" -I"P:/aliasperl/perl/site/lib" -I"P:/aliasperl/ cpan/build/PAR-Packer-0.991-UjiT4K" -I"." -I../myldr/.. -I../blib/lib - q -B -O..\script\parl.exe Use of uninitialized value $d[-1] in string eq at P:/aliasperl/perl/ site/lib/Portable.pm line 191. par.exe -I../myldr/.. -I../blib/lib -I"P:/aliasperl/cpan/build/PAR- Packer-0.991-UjiT4K/inc" -I"P:/aliasperl/perl/lib" -I"P:/aliasperl/perl/ site/lib" -I"P:/aliasperl/cpan/build/PAR-Packer-0.991-UjiT4K" -I"." -q - B -O..\script\parldyn.exe Errno architecture (MSWin32-x86-multi-thread-5.1) does not match executable architecture (MSWin32-x86-multi-thread-5.00) at P:/aliasperl/ perl/lib/Errno.pm line 11. Compilation failed in require at P:/aliasperl/perl/lib/File/Temp.pm line 148. ------------------------------------------------------ I'm running this on XP, and I suspect that strawberry perl portable July 2009 was built on win2k (see the 'Errno architecture' line above). Perhaps a portable strawberry perl built on XP would fix this?
RT-Send-CC: csjewell@cpan.org
On Fri Aug 07 05:01:15 2009, krishnoid@wapacut.com wrote:
Show quoted text
> In Strawberry perl portable July 2009, I get the following when trying > to install PAR::Packer from cpan: > > -------------------------------------------------------------------- > ... > > static.exe -I"P:/aliasperl/cpan/build/PAR-Packer-0.991-UjiT4K/inc" - > I"P:/aliasperl/perl/lib" -I"P:/aliasperl/perl/site/lib" -I"P:/aliasperl/ > cpan/build/PAR-Packer-0.991-UjiT4K" -I"." -I../myldr/.. -I../blib/lib - > q -B -O..\script\parl.exe > > Use of uninitialized value $d[-1] in string eq at P:/aliasperl/perl/ > site/lib/Portable.pm line 191. > > par.exe -I../myldr/.. -I../blib/lib -I"P:/aliasperl/cpan/build/PAR- > Packer-0.991-UjiT4K/inc" -I"P:/aliasperl/perl/lib" -I"P:/aliasperl/perl/ > site/lib" -I"P:/aliasperl/cpan/build/PAR-Packer-0.991-UjiT4K" -I"." -q - > B -O..\script\parldyn.exe > > Errno architecture (MSWin32-x86-multi-thread-5.1) does not match > executable architecture (MSWin32-x86-multi-thread-5.00) at P:/aliasperl/ > perl/lib/Errno.pm line 11. > > Compilation failed in require at P:/aliasperl/perl/lib/File/Temp.pm > line 148. > ------------------------------------------------------ > > I'm running this on XP, and I suspect that strawberry perl portable > July 2009 was built on win2k (see the 'Errno architecture' line > above). Perhaps a portable strawberry perl built on XP would fix this?
I built it on my XP machine. That's not the issue. The version number you're looking at there is the perl version number, not the one for Windows. PAR got its processing wrong in a few places for perl 5.10, AFAICT. I'll take a look soon and see what's up.
Scratch that - I just got the Errno thing on a Windows Server 2003 machine with 5.10.1.0-portable-beta-2 when running the CPAN script, so it IS a problem with Portable Strawberry. It is NOT a problem with any of the other versions - will take a look and see if Portable is doing something to the Config.pm it shouldn't be doing. --Curtis
Could you please check whether it is still an issue with strawberry perl 5.14.2.1 ?

--
kmx



This service runs on Request Tracker, is sponsored by The Perl Foundation, and maintained by Best Practical Solutions.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.